For Developers

Delete Credential

DELETE https://ed.link/api/v2/teams/:team_id/applications/:application_id/credentials/:credential_id

Permanently revokes and removes an API secret key. Any active servers using this key will immediately be denied access.

Permissions

Requires the credentials.delete system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.
:credential_idUUIDYesThe ID of the credential to delete.

Sample Request

await axios.delete(`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/credentials/${credential_id}`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$request": "a9c049d2-b6d3-4e31-8bb2-48df92c2db2c"
}